# Trials of Mana 1.1.1
# BID: 92C25172D38DFEDB

ALL_FPS:
  # r.VSync
  -
    type: write
    address: [MAIN, 0x5708B68, 0]
    value_type: int32
    value: [0, 0]
  # r.DynamicRes.FrameTimeBudget
  -
    type: evaluate_write
    address: [MAIN, 0x5F39E40, 0]
    value_type: float
    value: [FRAMETIME_TARGET, FRAMETIME_TARGET]
  # t.MaxFPS
  -
    type: evaluate_write
    address: [MAIN, 0x5F5F8B8, 0]
    value_type: float
    value: [FPS_LOCK_TARGET, FPS_LOCK_TARGET]
  -
    type: block
    what: timing